#
# spec file for package
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global debug_package %{nil}

Name:           mintmenu
Version:        5.1.6
Release:        22.1
License:        GPLv2
Summary:        Advanced Gnome menu
# Can not be noarch do to architecture dependent bonobo server placement
#BuildArch: noarch
Group:          System/GUI/GNOME
Source0:        http://packages.linuxmint.com/pool/main/m/mintmenu/%{name}_%{version}.tar.gz
Source1:        http://packages.linuxmint.com/pool/main/m/mint-translations/mint-translations_2010.10.14.tar.gz

# PATCH-FIX-OPENSUSE mintmenu-add_sebangs.patch william@witt-famiylnet: Add shebangs for style
Patch0:         mintmenu-add_sebangs.patch

# PATCH-FIX-OPENSUSE mintmenu-bindings.patch william@witt-famiylnet: Packagekit and terminal launchers
Patch1:         mintmenu-bindings.patch

# PATCH-FIX-OPENSUSE mintmenu-suse_branding.patch william@witt-famiylnet: Suse branding
Patch2:         mintmenu-suse_branding.patch
# PATCH-FIX-OPENSUSE mintmenu-bindings2.patch william@witt-famiylnet: SUSE bindings
Patch8:         mintmenu-bindings2.patch

# PATCH-FIX-OPENSUSE mintmenu-datadir.patch william@witt-famiylnet: move from /usr/lib to /usr/share
Patch3:         mintmenu-datadir.patch

# PATCH-FIX-OPENSUSE mintmenu-run_as_superuser.patch william@witt-famiylnet: fix run as superuser
Patch4:         mintmenu-run_as_superuser.patch

# PATCH-FIX-OPENSUSE mintmenu-mintmenu_executables.patch william@witt-famiylnet: update paths for executable and bonobo server
Patch5:         mintmenu-mintmenu_executables.patch

# PATCH-FIX-OPENSUSE mintmenu-remove_threading_from_applications_plugin.patch william@witt-famiylnet: Remove threading from applications plugin.  Threading causes a crash on Fedora (but works on SUSE and *buntu/mint)
Patch6:         mintmenu-remove_threading_from_applications_plugin.patch

# PATCH-FIX-OPENSUSE mintmenu-remove_import_apt.patch william@witt-famiylnet: Apt makes no since in an RPM based system, causes ABRT on fedora
Patch7:         mintmenu-remove_import_apt.patch
# PATCH-FIX-OPENSUSE mintmenu-remove_apt_cache.patch william@witt-famiylnet: Apt makes no since in an RPM based system, causes ABRT on fedora
Patch11:        mintmenu-remove_apt_cache.patch
# PATCH-FIX-OPENSUSE mintmenu-remove_apt_cache_part2.patch william@witt-famiylnet: Apt makes no since in an RPM based system, causes ABRT on fedora
Patch12:        mintmenu-remove_apt_cache_part2.patch

# PATCH-FIX-OPENSUSE mintmenu-change_locale_directory.patch william@witt-famiylnet: Change locale directory to be IAW FHS 2.3 para 4.11
Patch9:         mintmenu-change_locale_directory.patch

# PATCH-FEATURE-OPENSUSE mintmenu-add_update_system.patch william@witt-famiylnet: Add "Update System" to system_management plugin.  Mints packagemanager has update built in, but package kit does not.
Patch10:        mintmenu-add_update_system.patch

Url:            https://launchpad.net/mintmenu
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?fedora} >= 5
BuildRequires:  python-devel
Requires:       GConf2
Requires:       PackageKit
Requires:       alacarte
Requires:       deskbar-applet
Requires:       gnome-python2-gnomedesktop
Requires:       pygtk2
Requires:       pygtk2-libglade
Requires:       python < 3.0
Requires:       python >= 2.4
Requires:       pyxdg
Requires:       system-logos
Requires:       tracker-search-tool
%endif

%if 0%{?suse_version} > 910
BuildRequires:  python-devel
Requires:       PackageKit
Requires:       alacarte
Requires:       deskbar-applet
Requires:       gconf2
Requires:       gnome-packagekit-extras
Requires:       python < 3.0
Requires:       python >= 2.4
Requires:       python-gtk
Requires:       python-xdg
Requires:       python-xdg
%endif

%description
An advanced "slab" style menu for Linux. MintMenu supports filtering,
favorites, autosession, and many other features.  MintMenu can either be
added to your gnome-panel or launched in its own window.

%package lang
Summary:        Translations for mintMenu
Group:          System/GUI/GNOME
Requires:       mintmenu = %{version}

%description lang
Multipal translations for mintMenu - An advanced "slab" style menu for Linux.
MintMenu supports filtering, favorites, autosession, and many other features.
MintMenu can either be added to your gnome-panel or launched in its own window.

%prep
%setup -q -n mintmenu
tar -xf %{SOURCE1}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
#pure python


%install
#clean out questionably liscensed files.
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.png
rm -rf %{buildroot}%{_prefix}/lib/linuxmint/mintMenu/mint*.svg
find . -name '*.orig' -exec rm -f {} ';'
find . -name '*.pyc' -exec rm -f {} ';'
find . -name '*.pot' -exec rm -f {} ';'
find mint-translations-2010.09.01/ -not -name 'mintmenu.mo' -type f -exec rm -f {} ';'


install -d -p %{buildroot}%{_bindir}/
install -m 755 -p usr/bin/mintmenu %{buildroot}%{_bindir}/mintmenu
install -d -p %{buildroot}%{_datadir}/linuxmint
install -d -p %{buildroot}%{_datadir}/linuxmint/mintMenu
install -m 644 -p usr/lib/linuxmint/mintMenu/*.* %{buildroot}%{_datadir}/linuxmint/mintMenu/
rm -rf %{buildroot}%{_datadir}/linuxmint/mintMenu/*.py
rm -rf %{buildroot}%{_datadir}/linuxmint/mintMenu/*.orig
install -m 755 -p usr/lib/linuxmint/mintMenu/*.py %{buildroot}%{_datadir}/linuxmint/mintMenu/
install -d -p %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins
install -m 644 -p usr/lib/linuxmint/mintMenu/plugins/* %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins/
install -m 755 -p usr/lib/linuxmint/mintMenu/plugins/*.py %{buildroot}%{_datadir}/linuxmint/mintMenu/plugins/
install -d -p %{buildroot}%{_libdir}/bonobo/servers/
install -m 644 -p usr/lib/bonobo/servers/mintMenu.server %{buildroot}%{_libdir}/bonobo/servers/mintMenu.server

cp -r mint-translations-2010.09.01/usr/share/linuxmint/* %{buildroot}%{_datadir}/
%if 0%{?suse_version} <= 1120
rm -rf %{buildroot}%{_datadir}/locale/ber
%endif
chmod -R u+rw,g-w,g+r,o+r,o-w %{buildroot}%{_datadir}/locale/*
%{find_lang} %{name} --all-name


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/mintmenu
%{_libdir}/bonobo
%dir %{_datadir}/linuxmint
%dir %{_datadir}/linuxmint/mintMenu
%{_datadir}/linuxmint/mintMenu/*.*
%{_datadir}/linuxmint/mintMenu/plugins/

%files lang -f %{name}.lang

%changelog
* Mon Jan 17 2011 william@witt-family.net
- Fixed packaging style issues: patch comments.
* Mon Jan 17 2011 william@witt-family.net
- Fixed branding patch default icon loaction.
- Fixed packaging style issues like patch names and comments.
* Sat Jan 15 2011 william@witt-family.net
- Initial package version 5.1.6
